Installing Zurmo on Non-Apache Server

So I recently came across the zurmo CRM which is quite cool. However I noticed it only supports installation on Apache and IIS. Not all of us use this but we use similar servers like litespeed, nginx etc. So dug alittle deeper into the software , as of this writing im talking of version 2.8.2. I was testing it on a litespeed  server which is similar to using apache but it gives me this:

Zurmo Non Apache Error

Zurmo Non Apache Error

The script blocking installs is located in :

<zurmo-root>/app/protected/modules/install/serviceHelpers/WebServerServiceHelper.php

The easiest way to go about it from here is to simply comment out everything in the function and force zurmo to return the installer as apache without checking. If your webserver is more IIS based force it to load in that fashion.

return Zurmo::t(‘InstallModule’, ‘Apache’);

It should be something as below:

 

Zurmo Force Module Apache on Litespeed

Zurmo Force Module Apache on Litespeed

From here it’s a smooth sailing

2 thoughts on “Installing Zurmo on Non-Apache Server

Leave a Reply to Andrei Gabriel Grimpels Cancel reply

Your email address will not be published. Required fields are marked *